source: package_tags/pyyaml/3.05-2~andersk1/debian/changelog @ 2758

Last change on this file since 2758 was 898, checked in by hartmans, 16 years ago

Add pyyaml and libyaml packages
backported from lenny.
There is discussion about how these should go in the repository; these are added in this form
in order to make forward progress.

File size: 2.0 KB
Line 
1pyyaml (3.05-2~andersk1) unstable; urgency=low
2
3  * Backport to Etch.
4
5 -- Anders Kaseorg <andersk@mit.edu>  Thu, 31 Jul 2008 17:32:58 -0400
6
7pyyaml (3.05-2) unstable; urgency=low
8
9  [ Piotr Ożarowski ]
10  * Vcs-Browser and Homepage fields added
11  * XS-Vcs-Svn field renamed to Vcs-Svn
12  * DM-Upload-Allowed set to "yes"
13
14  [ Sandro Tosi ]
15  * debian/control
16    - uniforming Vcs-Browser field
17
18  [ Scott Kitterman ]
19  * Build with lib-yaml now that it is in the archive (Closes: #435410)
20    - Add build-dep on libyaml-dev and python-pyrex
21    - Add depends for ${shlibs:Depends} (Package falls back to pure Python
22      if libyaml is not present, but it's not worth splitting a small package)
23    - Install with setup_with_libyaml.py for all Python versions
24    - Switch from arch all to arch any
25  * Add debug package
26    - Add python-all-dbg to build-dep
27    - Add python-yaml-dbg to debian/control
28    - Update debian/rules
29  * Switch from python-support to python-central
30    - Update depends
31    - Remove pyversions
32    - Add XS/XB-python-versions to debian/control
33    - Update debian/rules
34  * Update package description
35  * Update standards version to 3.8.0.1
36
37 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2008 21:32:45 -0400
38
39pyyaml (3.05-1) unstable; urgency=low
40
41  [ Scott Kitterman ]
42  * New upstream version
43  * Removed obsolete patch and debian/patches
44  * debian/control:
45     - Added XS-Vcs-Svn field
46     - Remove build-dep on pacht-utils
47  * debian/rules:
48     - Comment out simple-patchsys
49
50  [ Piotr Ożarowski ]
51  * Added debian/watch file
52
53 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 May 2007 22:38:17 -0400
54
55pyyaml (3.04-1) unstable; urgency=low
56
57  * Initial Debian package (Closes: #413720)
58  * Include upstream recommended patches from the development tree:
59    - fix loading an empty stream: changeset 233
60    - fix the !timestamp constructor: changeset 234
61    - fix an obscure issue with yaml_path_resolver: changeset 246
62
63 -- Scott Kitterman <scott@kitterman.com>  Wed,  4 Apr 2007 15:50:36 -0400
64
Note: See TracBrowser for help on using the repository browser.